Subject: Re: ipw2200: Driver lockup

From: Dan Williams <[email-masked]>
Date: Wed, 19 Jul 2006 20:49:57 -0400

On Wed, 2006-07-19 at 10:28 -0400, Ralf Baechle wrote:
> I got the driver to die several times under the extreme condition at the
> KS / OLS with dozens to hundreds of other machines in the same room.  The
> last kernel message I got from about the time when wireless died was
> 
>   eth1: NETDEV_TX_BUSY returned; driver should report queue full via ieee_device->is_queue_full.

I actually get this quite a bit too, at least a couple times per day.
Sometimes the device goes down and you have to rmmod ipw2200, other
times it recovers.  But quite annoying anyway.

Anyone know exactly what that message means, and possibly how to fix it?

Dan

>   Ralf
> -
> To unsubscribe from this list: send the line "unsubscribe netdev" in
> the body of a message to [email-masked]
> More majordomo info at  http://vger.kernel.org/majordomo-info.html